Index: squid/src/protos.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/protos.h,v
retrieving revision 1.1.1.3.4.1.2.6
retrieving revision 1.1.1.3.4.1.2.6.2.1
diff -u -r1.1.1.3.4.1.2.6 -r1.1.1.3.4.1.2.6.2.1
--- squid/src/protos.h	29 Jul 2001 09:10:28 -0000	1.1.1.3.4.1.2.6
+++ squid/src/protos.h	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.6.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: protos.h,v 1.1.1.3.4.1.2.6 2001/07/29 09:10:28 serassio Exp $
+ * $Id: protos.h,v 1.1.1.3.4.1.2.6.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -43,8 +42,7 @@
 #endif
 
 extern aclCheck_t *aclChecklistCreate(const struct _acl_access *,
-    request_t *,
-    const char *ident);
+    request_t *, const char *ident);
 extern void aclNBCheck(aclCheck_t *, PF *, void *);
 extern int aclCheckFast(const struct _acl_access *A, aclCheck_t *);
 extern void aclChecklistFree(aclCheck_t *);
@@ -80,10 +78,14 @@
 extern int aio_get_queue_len(void);
 
 extern void aioInit(void);
+#ifdef _SQUID_MSWIN_
+extern void aioShutdown(void);
+#endif
 extern void aioCancel(int);
 extern void aioOpen(const char *, int, mode_t, AIOCB *, void *);
 extern void aioClose(int);
-extern void aioWrite(int, int offset, char *, int size, AIOCB *, void *, FREE *);
+extern void aioWrite(int, int offset, char *, int size, AIOCB *, void *,
+    FREE *);
 extern void aioRead(int, int offset, char *, int size, AIOCB *, void *);
 extern void aioStat(char *, struct stat *, AIOCB *, void *);
 extern void aioUnlink(const char *, AIOCB *, void *);
@@ -135,7 +137,8 @@
 extern int checkNegativeHit(StoreEntry *);
 extern void clientHttpConnectionsOpen(void);
 extern void clientHttpConnectionsClose(void);
-extern StoreEntry *clientCreateStoreEntry(clientHttpRequest *, method_t, request_flags);
+extern StoreEntry *clientCreateStoreEntry(clientHttpRequest *, method_t,
+    request_flags);
 extern int isTcpHit(log_type);
 
 extern int commSetNonBlocking(int fd);
@@ -150,26 +153,22 @@
 extern int comm_connect_addr(int sock, const struct sockaddr_in *);
 extern void comm_init(void);
 extern int comm_listen(int sock);
-extern int comm_open(int, int, struct in_addr, u_short port, int, const char *note);
+extern int comm_open(int, int, struct in_addr, u_short port, int,
+    const char *note);
 extern u_short comm_local_port(int fd);
 
 extern void commSetSelect(int, unsigned int, PF *, void *, time_t);
 extern void comm_add_close_handler(int fd, PF *, void *);
 extern void comm_remove_close_handler(int fd, PF *, void *);
-extern int comm_udp_sendto(int, const struct sockaddr_in *, int, const void *, int);
-extern void comm_write(int fd,
-    char *buf,
-    int size,
-    CWCB * handler,
-    void *handler_data,
-    FREE *);
-extern void comm_write_mbuf(int fd, MemBuf mb, CWCB * handler, void *handler_data);
+extern int comm_udp_sendto(int, const struct sockaddr_in *, int, const void *,
+    int);
+extern void comm_write(int fd, char *buf, int size, CWCB * handler,
+    void *handler_data, FREE *);
+extern void comm_write_mbuf(int fd, MemBuf mb, CWCB * handler,
+    void *handler_data);
 extern void commCallCloseHandlers(int fd);
 extern int commSetTimeout(int fd, int, PF *, void *);
 extern void commSetDefer(int fd, DEFER * func, void *);
-#ifdef _SQUID_MSWIN_
-extern int WSAignoreErrno(int);
-#endif
 extern int ignoreErrno(int);
 extern void commCloseAllSockets(void);
 
@@ -195,7 +194,7 @@
 extern void packerClean(Packer * p);
 extern void packerAppend(Packer * p, const char *buf, int size);
 #if STDC_HEADERS
-extern void packerPrintf(Packer * p, const char *fmt,...);
+extern void packerPrintf(Packer * p, const char *fmt, ...);
 #else
 extern void packerPrintf();
 #endif
@@ -209,20 +208,22 @@
 extern void _db_rotate_log(void);
 
 #if STDC_HEADERS
-extern void _db_print(const char *,...);
+extern void _db_print(const char *, ...);
 #else
 extern void _db_print();
 #endif
 extern void xassert(const char *, const char *, int);
 
 /* packs, then prints an object using debug() */
-extern void debugObj(int section, int level, const char *label, void *obj, ObjPackMethod pm);
+extern void debugObj(int section, int level, const char *label, void *obj,
+    ObjPackMethod pm);
 
 
 extern int file_open(const char *path, int mode);
 extern void file_close(int fd);
 extern void file_write(int, off_t, void *, int len, DWCB *, void *, FREE *);
-extern void file_write_mbuf(int fd, off_t, MemBuf mb, DWCB * handler, void *handler_data);
+extern void file_write_mbuf(int fd, off_t, MemBuf mb, DWCB * handler,
+    void *handler_data);
 extern void file_read(int, char *, int, off_t, DRCB *, void *);
 extern void disk_init(void);
 
@@ -237,7 +238,8 @@
 extern void idnsPTRLookup(const struct in_addr, IDNSCB *, void *);
 
 extern void eventAdd(const char *name, EVH * func, void *arg, double when, int);
-extern void eventAddIsh(const char *name, EVH * func, void *arg, double delta_ish, int);
+extern void eventAddIsh(const char *name, EVH * func, void *arg,
+    double delta_ish, int);
 extern void eventRun(void);
 extern time_t eventNextTime(void);
 extern void eventDelete(EVH * func, void *arg);
@@ -289,14 +291,12 @@
 extern void httpProcessReplyHeader(HttpStateData *, const char *, int);
 extern mb_size_t httpBuildRequestPrefix(request_t * request,
     request_t * orig_request,
-    StoreEntry * entry,
-    MemBuf * mb,
-    int cfd,
-    http_state_flags);
+    StoreEntry * entry, MemBuf * mb, int cfd, http_state_flags);
 extern void httpAnonInitModule(void);
 extern int httpAnonHdrAllowed(http_hdr_type hdr_id);
 extern int httpAnonHdrDenied(http_hdr_type hdr_id);
-extern void httpBuildRequestHeader(request_t *, request_t *, StoreEntry *, HttpHeader *, int, http_state_flags);
+extern void httpBuildRequestHeader(request_t *, request_t *, StoreEntry *,
+    HttpHeader *, int, http_state_flags);
 
 /* ETag */
 extern int etagParseInit(ETag * etag, const char *str);
@@ -342,17 +342,20 @@
 extern void httpHdrCcSetMaxAge(HttpHdrCc * cc, int max_age);
 extern void httpHdrCcSetSMaxAge(HttpHdrCc * cc, int s_maxage);
 extern void httpHdrCcUpdateStats(const HttpHdrCc * cc, StatHist * hist);
-extern void httpHdrCcStatDumper(StoreEntry * sentry, int idx, double val, double size, int count);
+extern void httpHdrCcStatDumper(StoreEntry * sentry, int idx, double val,
+    double size, int count);
 
 /* Http Range Header Field */
 extern HttpHdrRange *httpHdrRangeParseCreate(const String * range_spec);
 /* returns true if ranges are valid; inits HttpHdrRange */
-extern int httpHdrRangeParseInit(HttpHdrRange * range, const String * range_spec);
+extern int httpHdrRangeParseInit(HttpHdrRange * range,
+    const String * range_spec);
 extern void httpHdrRangeDestroy(HttpHdrRange * range);
 extern HttpHdrRange *httpHdrRangeDup(const HttpHdrRange * range);
 extern void httpHdrRangePackInto(const HttpHdrRange * range, Packer * p);
 /* iterate through specs */
-extern HttpHdrRangeSpec *httpHdrRangeGetSpec(const HttpHdrRange * range, HttpHdrRangePos * pos);
+extern HttpHdrRangeSpec *httpHdrRangeGetSpec(const HttpHdrRange * range,
+    HttpHdrRangePos * pos);
 /* adjust specs after the length is known */
 extern int httpHdrRangeCanonize(HttpHdrRange *, ssize_t);
 /* other */
@@ -367,33 +370,40 @@
 extern HttpHdrContRange *httpHdrContRangeCreate(void);
 extern HttpHdrContRange *httpHdrContRangeParseCreate(const char *crange_spec);
 /* returns true if range is valid; inits HttpHdrContRange */
-extern int httpHdrContRangeParseInit(HttpHdrContRange * crange, const char *crange_spec);
+extern int httpHdrContRangeParseInit(HttpHdrContRange * crange,
+    const char *crange_spec);
 extern void httpHdrContRangeDestroy(HttpHdrContRange * crange);
 extern HttpHdrContRange *httpHdrContRangeDup(const HttpHdrContRange * crange);
-extern void httpHdrContRangePackInto(const HttpHdrContRange * crange, Packer * p);
+extern void httpHdrContRangePackInto(const HttpHdrContRange * crange,
+    Packer * p);
 /* inits with given spec */
 extern void httpHdrContRangeSet(HttpHdrContRange *, HttpHdrRangeSpec, ssize_t);
 
 /* Http Header Tools */
-extern HttpHeaderFieldInfo *httpHeaderBuildFieldsInfo(const HttpHeaderFieldAttrs * attrs, int count);
+extern HttpHeaderFieldInfo *httpHeaderBuildFieldsInfo(const HttpHeaderFieldAttrs
+    * attrs, int count);
 extern void httpHeaderDestroyFieldsInfo(HttpHeaderFieldInfo * info, int count);
-extern int httpHeaderIdByName(const char *name, int name_len, const HttpHeaderFieldInfo * attrs, int end);
+extern int httpHeaderIdByName(const char *name, int name_len,
+    const HttpHeaderFieldInfo * attrs, int end);
 extern int httpHeaderIdByNameDef(const char *name, int name_len);
 extern const char *httpHeaderNameById(int id);
 extern void httpHeaderMaskInit(HttpHeaderMask * mask, int value);
-extern void httpHeaderCalcMask(HttpHeaderMask * mask, const int *enums, int count);
+extern void httpHeaderCalcMask(HttpHeaderMask * mask, const int *enums,
+    int count);
 extern int httpHeaderHasConnDir(const HttpHeader * hdr, const char *directive);
 extern void httpHeaderAddContRange(HttpHeader *, HttpHdrRangeSpec, ssize_t);
 extern void strListAdd(String * str, const char *item, char del);
 extern int strListIsMember(const String * str, const char *item, char del);
 extern int strListIsSubstr(const String * list, const char *s, char del);
-extern int strListGetItem(const String * str, char del, const char **item, int *ilen, const char **pos);
+extern int strListGetItem(const String * str, char del, const char **item,
+    int *ilen, const char **pos);
 extern const char *getStringPrefix(const char *str, const char *end);
 extern int httpHeaderParseInt(const char *start, int *val);
 extern int httpHeaderParseSize(const char *start, ssize_t * sz);
 extern int httpHeaderReset(HttpHeader * hdr);
 #if STDC_HEADERS
-extern void httpHeaderPutStrf(HttpHeader * hdr, http_hdr_type id, const char *fmt,...);
+extern void httpHeaderPutStrf(HttpHeader * hdr, http_hdr_type id,
+    const char *fmt, ...);
 #else
 extern void httpHeaderPutStrf();
 #endif
@@ -407,37 +417,49 @@
 extern void httpHeaderClean(HttpHeader * hdr);
 /* append/update */
 extern void httpHeaderAppend(HttpHeader * dest, const HttpHeader * src);
-extern void httpHeaderUpdate(HttpHeader * old, const HttpHeader * fresh, const HttpHeaderMask * denied_mask);
+extern void httpHeaderUpdate(HttpHeader * old, const HttpHeader * fresh,
+    const HttpHeaderMask * denied_mask);
 /* parse/pack */
-extern int httpHeaderParse(HttpHeader * hdr, const char *header_start, const char *header_end);
+extern int httpHeaderParse(HttpHeader * hdr, const char *header_start,
+    const char *header_end);
 extern void httpHeaderPackInto(const HttpHeader * hdr, Packer * p);
 /* field manipulation */
 extern int httpHeaderHas(const HttpHeader * hdr, http_hdr_type type);
 extern void httpHeaderPutInt(HttpHeader * hdr, http_hdr_type type, int number);
-extern void httpHeaderPutTime(HttpHeader * hdr, http_hdr_type type, time_t time);
-extern void httpHeaderPutStr(HttpHeader * hdr, http_hdr_type type, const char *str);
-extern void httpHeaderPutAuth(HttpHeader * hdr, const char *authScheme, const char *realm);
+extern void httpHeaderPutTime(HttpHeader * hdr, http_hdr_type type,
+    time_t time);
+extern void httpHeaderPutStr(HttpHeader * hdr, http_hdr_type type,
+    const char *str);
+extern void httpHeaderPutAuth(HttpHeader * hdr, const char *authScheme,
+    const char *realm);
 extern void httpHeaderPutCc(HttpHeader * hdr, const HttpHdrCc * cc);
-extern void httpHeaderPutContRange(HttpHeader * hdr, const HttpHdrContRange * cr);
+extern void httpHeaderPutContRange(HttpHeader * hdr,
+    const HttpHdrContRange * cr);
 extern void httpHeaderPutRange(HttpHeader * hdr, const HttpHdrRange * range);
-extern void httpHeaderPutExt(HttpHeader * hdr, const char *name, const char *value);
+extern void httpHeaderPutExt(HttpHeader * hdr, const char *name,
+    const char *value);
 extern int httpHeaderGetInt(const HttpHeader * hdr, http_hdr_type id);
 extern time_t httpHeaderGetTime(const HttpHeader * hdr, http_hdr_type id);
-extern TimeOrTag httpHeaderGetTimeOrTag(const HttpHeader * hdr, http_hdr_type id);
+extern TimeOrTag httpHeaderGetTimeOrTag(const HttpHeader * hdr,
+    http_hdr_type id);
 extern HttpHdrCc *httpHeaderGetCc(const HttpHeader * hdr);
 extern ETag httpHeaderGetETag(const HttpHeader * hdr, http_hdr_type id);
 extern HttpHdrRange *httpHeaderGetRange(const HttpHeader * hdr);
 extern HttpHdrContRange *httpHeaderGetContRange(const HttpHeader * hdr);
 extern const char *httpHeaderGetStr(const HttpHeader * hdr, http_hdr_type id);
-extern const char *httpHeaderGetLastStr(const HttpHeader * hdr, http_hdr_type id);
-extern const char *httpHeaderGetAuth(const HttpHeader * hdr, http_hdr_type id, const char *authScheme);
+extern const char *httpHeaderGetLastStr(const HttpHeader * hdr,
+    http_hdr_type id);
+extern const char *httpHeaderGetAuth(const HttpHeader * hdr, http_hdr_type id,
+    const char *authScheme);
 extern String httpHeaderGetList(const HttpHeader * hdr, http_hdr_type id);
 extern int httpHeaderDelByName(HttpHeader * hdr, const char *name);
 extern int httpHeaderDelById(HttpHeader * hdr, http_hdr_type id);
 extern void httpHeaderDelAt(HttpHeader * hdr, HttpHeaderPos pos);
 /* avoid using these low level routines */
-extern HttpHeaderEntry *httpHeaderGetEntry(const HttpHeader * hdr, HttpHeaderPos * pos);
-extern HttpHeaderEntry *httpHeaderFindEntry(const HttpHeader * hdr, http_hdr_type id);
+extern HttpHeaderEntry *httpHeaderGetEntry(const HttpHeader * hdr,
+    HttpHeaderPos * pos);
+extern HttpHeaderEntry *httpHeaderFindEntry(const HttpHeader * hdr,
+    http_hdr_type id);
 extern void httpHeaderAddEntry(HttpHeader * hdr, HttpHeaderEntry * e);
 extern HttpHeaderEntry *httpHeaderEntryClone(const HttpHeaderEntry * e);
 extern void httpHeaderEntryPackInto(const HttpHeaderEntry * e, Packer * p);
@@ -446,7 +468,8 @@
 
 /* Http Msg (currently in HttpReply.c @?@ ) */
 extern int httpMsgIsPersistent(float http_ver, const HttpHeader * hdr);
-extern int httpMsgIsolateHeaders(const char **parse_start, const char **blk_start, const char **blk_end);
+extern int httpMsgIsolateHeaders(const char **parse_start,
+    const char **blk_start, const char **blk_end);
 
 /* Http Reply */
 extern void httpReplyInitModule(void);
@@ -467,7 +490,8 @@
 extern void httpReplySwapOut(const HttpReply * rep, StoreEntry * e);
 /* set commonly used info with one call */
 extern void httpReplySetHeaders(HttpReply * rep, double ver, http_status status,
-    const char *reason, const char *ctype, int clen, time_t lmt, time_t expires);
+    const char *reason, const char *ctype, int clen, time_t lmt,
+    time_t expires);
 /* do everything in one call: init, set, pack, clean, return MemBuf */
 extern MemBuf httpPackedReply(double ver, http_status status, const char *ctype,
     int clen, time_t lmt, time_t expires);
@@ -492,21 +516,21 @@
 extern void httpRequestSwapOut(const request_t * req, StoreEntry * e);
 extern void httpRequestPack(const request_t * req, Packer * p);
 extern int httpRequestPrefixLen(const request_t * req);
-extern int httpRequestHdrAllowed(const HttpHeaderEntry * e, String * strConnection);
+extern int httpRequestHdrAllowed(const HttpHeaderEntry * e,
+    String * strConnection);
 extern int httpRequestHdrAllowedByName(http_hdr_type id);
 
 extern void icmpOpen(void);
 extern void icmpClose(void);
 extern void icmpPing(struct in_addr to);
-extern void icmpSourcePing(struct in_addr to, const icp_common_t *, const char *url);
+extern void icmpSourcePing(struct in_addr to, const icp_common_t *,
+    const char *url);
 extern void icmpDomainPing(struct in_addr to, const char *domain);
 
 extern void *icpCreateMessage(icp_opcode opcode,
-    int flags,
-    const char *url,
-    int reqnum,
-    int pad);
-extern int icpUdpSend(int, const struct sockaddr_in *, icp_common_t *, log_type, int);
+    int flags, const char *url, int reqnum, int pad);
+extern int icpUdpSend(int, const struct sockaddr_in *, icp_common_t *, log_type,
+    int);
 extern PF icpHandleUdp;
 extern PF icpUdpSendQueue;
 extern PF httpAccept;
@@ -550,8 +574,7 @@
 extern const cache_key *icpGetCacheKey(const char *url, int reqnum);
 
 extern void ipcache_nbgethostbyname(const char *name,
-    IPH * handler,
-    void *handlerData);
+    IPH * handler, void *handlerData);
 extern EVH ipcache_purgelru;
 extern const ipcache_addrs *ipcache_gethostbyname(const char *, int flags);
 extern void ipcacheInvalidate(const char *);
@@ -582,7 +605,7 @@
 extern void memBufAppend(MemBuf * mb, const char *buf, mb_size_t size);
 /* calls snprintf, extends buffer if needed */
 #if STDC_HEADERS
-extern void memBufPrintf(MemBuf * mb, const char *fmt,...);
+extern void memBufPrintf(MemBuf * mb, const char *fmt, ...);
 #else
 extern void memBufPrintf();
 #endif
@@ -594,9 +617,11 @@
 extern void memBufReport(MemBuf * mb);
 
 extern char *mime_get_header(const char *mime, const char *header);
-extern char *mime_get_header_field(const char *mime, const char *name, const char *prefix);
+extern char *mime_get_header_field(const char *mime, const char *name,
+    const char *prefix);
 extern size_t headersEnd(const char *, size_t);
-extern const char *mime_get_auth(const char *hdr, const char *auth_scheme, const char **auth_field);
+extern const char *mime_get_auth(const char *hdr, const char *auth_scheme,
+    const char **auth_field);
 
 extern void mimeInit(char *filename);
 extern void mimeFreeMemory(void);
@@ -621,13 +646,10 @@
 extern peer *getSingleParent(request_t *);
 extern int neighborsCount(request_t *);
 extern int neighborsUdpPing(request_t *,
-    StoreEntry *,
-    IRCB * callback,
-    void *data,
-    int *exprep,
-    int *timeout);
+    StoreEntry *, IRCB * callback, void *data, int *exprep, int *timeout);
 extern void neighborAddAcl(const char *, const char *);
-extern void neighborsUdpAck(const cache_key *, icp_common_t *, const struct sockaddr_in *);
+extern void neighborsUdpAck(const cache_key *, icp_common_t *,
+    const struct sockaddr_in *);
 extern void neighborAdd(const char *, const char *, int, int, int, int, int);
 extern void neighbors_open(int);
 extern peer *peerFindByName(const char *);
@@ -635,9 +657,11 @@
 extern peer *getDefaultParent(request_t * request);
 extern peer *getRoundRobinParent(request_t * request);
 extern peer *getAnyParent(request_t * request);
-extern lookup_t peerDigestLookup(peer * p, request_t * request, StoreEntry * entry);
+extern lookup_t peerDigestLookup(peer * p, request_t * request,
+    StoreEntry * entry);
 extern peer *neighborsDigestSelect(request_t * request, StoreEntry * entry);
-extern void peerNoteDigestLookup(request_t * request, peer * p, lookup_t lookup);
+extern void peerNoteDigestLookup(request_t * request, peer * p,
+    lookup_t lookup);
 extern void peerNoteDigestGone(peer * p);
 extern int neighborUp(const peer * e);
 extern CBDUNL peerDestroy;
@@ -648,11 +672,13 @@
 extern int peerHTTPOkay(const peer *, request_t *);
 extern peer *whichPeer(const struct sockaddr_in *from);
 #if USE_HTCP
-extern void neighborsHtcpReply(const cache_key *, htcpReplyData *, const struct sockaddr_in *);
+extern void neighborsHtcpReply(const cache_key *, htcpReplyData *,
+    const struct sockaddr_in *);
 #endif
 
 extern void netdbInit(void);
-extern void netdbHandlePingReply(const struct sockaddr_in *from, int hops, int rtt);
+extern void netdbHandlePingReply(const struct sockaddr_in *from, int hops,
+    int rtt);
 extern void netdbPingSite(const char *hostname);
 extern void netdbInit(void);
 extern void netdbDump(StoreEntry *);
@@ -724,7 +750,8 @@
 
 /* ident.c */
 #if USE_IDENT
-extern void identStart(struct sockaddr_in *me, struct sockaddr_in *peer, IDCB * callback, void *cbdata);
+extern void identStart(struct sockaddr_in *me, struct sockaddr_in *peer,
+    IDCB * callback, void *cbdata);
 extern void identInit(void);
 #endif
 
@@ -746,7 +773,8 @@
 extern void statHistCopy(StatHist * Dest, const StatHist * Orig);
 extern void statHistSafeCopy(StatHist * Dest, const StatHist * Orig);
 extern double statHistDeltaMedian(const StatHist * A, const StatHist * B);
-extern void statHistDump(const StatHist * H, StoreEntry * sentry, StatHistBinDumper * bd);
+extern void statHistDump(const StatHist * H, StoreEntry * sentry,
+    StatHistBinDumper * bd);
 extern void statHistLogInit(StatHist * H, int capacity, double min, double max);
 extern void statHistEnumInit(StatHist * H, int last_enum);
 extern void statHistIntInit(StatHist * H, int n);
@@ -809,7 +837,8 @@
 extern StoreEntry *new_StoreEntry(int, const char *, const char *);
 extern StoreEntry *storeGet(const cache_key *);
 extern StoreEntry *storeGetPublic(const char *uri, const method_t method);
-extern StoreEntry *storeCreateEntry(const char *, const char *, request_flags, method_t);
+extern StoreEntry *storeCreateEntry(const char *, const char *, request_flags,
+    method_t);
 extern void storeSetPublicKey(StoreEntry *);
 extern void storeComplete(StoreEntry *);
 extern void storeInit(void);
@@ -822,11 +851,7 @@
 extern int storeUnregister(StoreEntry *, void *);
 extern void storeClientCopy(StoreEntry * e,
     off_t seen_offset,
-    off_t copy_offset,
-    size_t size,
-    char *buf,
-    STCB * callback,
-    void *data);
+    off_t copy_offset, size_t size, char *buf, STCB * callback, void *data);
 extern int storePendingNClients(const StoreEntry *);
 extern EVH storeMaintainSwapSpace;
 extern void storeExpireNow(StoreEntry *);
@@ -855,7 +880,7 @@
 extern void storeHashInsert(StoreEntry * e, const cache_key *);
 extern void storeSetMemStatus(StoreEntry * e, int);
 #if STDC_HEADERS
-extern void storeAppendPrintf(StoreEntry *, const char *,...);
+extern void storeAppendPrintf(StoreEntry *, const char *, ...);
 #else
 extern void storeAppendPrintf();
 #endif
@@ -882,7 +907,8 @@
  */
 extern storeIOState *storeUfsOpen(sfileno, mode_t, STIOCB *, void *);
 extern void storeUfsClose(storeIOState * sio);
-extern void storeUfsRead(storeIOState *, char *, size_t, off_t, STRCB *, void *);
+extern void storeUfsRead(storeIOState *, char *, size_t, off_t, STRCB *,
+    void *);
 extern void storeUfsWrite(storeIOState *, char *, size_t, off_t, FREE *);
 extern void storeUfsUnlink(int fileno);
 
@@ -892,7 +918,8 @@
  */
 extern storeIOState *storeAufsOpen(sfileno, mode_t, STIOCB *, void *);
 extern void storeAufsClose(storeIOState * sio);
-extern void storeAufsRead(storeIOState *, char *, size_t, off_t, STRCB *, void *);
+extern void storeAufsRead(storeIOState *, char *, size_t, off_t, STRCB *,
+    void *);
 extern void storeAufsWrite(storeIOState *, char *, size_t, off_t, FREE *);
 extern void storeAufsUnlink(int fileno);
 #endif
@@ -1006,7 +1033,8 @@
  */
 extern store_client *storeClientListSearch(const MemObject * mem, void *data);
 extern void storeClientListAdd(StoreEntry * e, void *data);
-extern void storeClientCopy(StoreEntry *, off_t, off_t, size_t, char *, STCB *, void *);
+extern void storeClientCopy(StoreEntry *, off_t, off_t, size_t, char *, STCB *,
+    void *);
 extern int storeClientCopyPending(StoreEntry * e, void *data);
 extern int storeUnregister(StoreEntry * e, void *data);
 extern off_t storeLowestMemReaderOffset(const StoreEntry * entry);
@@ -1020,7 +1048,7 @@
 extern void death(int sig);
 extern void fatal(const char *message);
 #if STDC_HEADERS
-extern void fatalf(const char *fmt,...);
+extern void fatalf(const char *fmt, ...);
 #else
 extern void fatalf();
 #endif
@@ -1068,7 +1096,8 @@
 extern void urlInitialize(void);
 extern request_t *urlParse(method_t, char *);
 extern const char *urlCanonical(request_t *);
-extern char *urlRInternal(const char *host, u_short port, const char *dir, const char *name);
+extern char *urlRInternal(const char *host, u_short port, const char *dir,
+    const char *name);
 extern char *urlInternal(const char *dir, const char *name);
 extern int matchDomainName(const char *host, const char *domain);
 extern int urlCheckRequest(const request_t *);
@@ -1146,11 +1175,11 @@
  * ipc.c
  */
 extern int ipcCreate(int type,
-    const char *prog,
-    char *const args[],
-    const char *name,
-    int *rfd,
-    int *wfd);
+    const char *prog, char *const args[], const char *name, int *rfd, int *wfd
+#ifdef _SQUID_MSWIN_
+    , HANDLE * hIpc, pid_t * ppid
+#endif
+    );
 
 /* CacheDigest */
 extern CacheDigest *cacheDigestCreate(int capacity, int bpe);
@@ -1163,15 +1192,19 @@
 extern void cacheDigestDel(CacheDigest * cd, const cache_key * key);
 extern size_t cacheDigestCalcMaskSize(int cap, int bpe);
 extern int cacheDigestBitUtil(const CacheDigest * cd);
-extern void cacheDigestGuessStatsUpdate(cd_guess_stats * stats, int real_hit, int guess_hit);
-extern void cacheDigestGuessStatsReport(const cd_guess_stats * stats, StoreEntry * sentry, const char *label);
-extern void cacheDigestReport(CacheDigest * cd, const char *label, StoreEntry * e);
+extern void cacheDigestGuessStatsUpdate(cd_guess_stats * stats, int real_hit,
+    int guess_hit);
+extern void cacheDigestGuessStatsReport(const cd_guess_stats * stats,
+    StoreEntry * sentry, const char *label);
+extern void cacheDigestReport(CacheDigest * cd, const char *label,
+    StoreEntry * e);
 
 extern void internalStart(request_t *, StoreEntry *);
 extern int internalCheck(const char *urlpath);
 extern int internalStaticCheck(const char *urlpath);
 extern char *internalLocalUri(const char *dir, const char *name);
-extern char *internalRemoteUri(const char *, u_short, const char *, const char *);
+extern char *internalRemoteUri(const char *, u_short, const char *,
+    const char *);
 extern const char *internalHostname(void);
 extern int internalHostnameIs(const char *);
 
@@ -1185,7 +1218,8 @@
 extern void delayInitDelayData(unsigned short pools);
 extern void delayFreeDelayData(void);
 extern void delayCreateDelayPool(unsigned short pool, u_char class);
-extern void delayInitDelayPool(unsigned short pool, u_char class, delaySpecSet * rates);
+extern void delayInitDelayPool(unsigned short pool, u_char class,
+    delaySpecSet * rates);
 extern void delayFreeDelayPool(unsigned short pool);
 extern void delayPoolsReconfigure(void);
 extern void delaySetNoDelay(int fd);
@@ -1204,7 +1238,8 @@
 
 /* helper.c */
 extern void helperOpenServers(helper * hlp);
-extern void helperSubmit(helper * hlp, const char *buf, HLPCB * callback, void *data);
+extern void helperSubmit(helper * hlp, const char *buf, HLPCB * callback,
+    void *data);
 extern void helperStats(StoreEntry * sentry, helper * hlp);
 extern void helperShutdown(helper * hlp);
 extern helper *helperCreate(const char *);
@@ -1227,13 +1262,28 @@
 extern int gethostname(char *, int);
 #endif
 
-/* CygWin & Windows NT Port */ 
-/* win32.c */ 
+/* CygWin & Windows NT Port */
+/* win32.c */
 #if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
 extern int WIN32_Subsystem_Init();
-extern void WIN32_sendSignal(int);
+#ifdef _SQUID_MSWIN_
+__declspec(dllexport)
+     int WINAPI
+#else
+void
+#endif
+WIN32_sendSignal(int);
 extern void WIN32_Exit(int);
 extern void WIN32_InstallService(void);
 extern void WIN32_RemoveService(void);
+#if defined(_SQUID_MSWIN_)
+#if !defined(COMM_C)
+#define comm_open(sock_type,proto,addr,port,flags,note) \
+	comm_open((sock_type), \
+		(sock_type) == SOCK_DGRAM ? IPPROTO_UDP : IPPROTO_TCP, \
+		(addr),(port),(flags),(note))
+#endif
+extern struct passwd *getpwnam(char *);
+extern struct group *getgrnam(char *);
+#endif
 #endif
-
Index: squid/src/pump.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/pump.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/src/pump.c	6 Jan 2001 12:40:15 -0000	1.1.1.3.4.1.2.1
+++ squid/src/pump.c	27 Aug 2001 21:48:21 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: pump.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:15 hno Exp $
+ * $Id: pump.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:21 tolsty Exp $
  *
  * DEBUG: section 61    PUMP handler
  * AUTHOR: Kostas Anagnostakis
@@ -37,7 +37,8 @@
 
 #define PUMP_MAXBUFFER 2*SQUID_UDP_SO_SNDBUF
 
-struct _PumpStateData {
+struct _PumpStateData
+{
     FwdState *fwd;
     request_t *req;
     int c_fd;			/* client fd */
@@ -48,9 +49,11 @@
     StoreEntry *reply_entry;	/* the reply entry */
     CWCB *callback;		/* what to do when we finish sending */
     void *cbdata;		/* callback data passed to callback func */
-    struct {
+    struct
+    {
 	int closing:1;
-    } flags;
+    }
+    flags;
     struct _PumpStateData *next;
 };
 
@@ -164,8 +167,7 @@
 	pumpServerCopyComplete(p->s_fd, NULL, 0, DISK_OK, p);
     } else {
 	storeClientCopy(p->request_entry, p->sent, p->sent, 4096,
-	    memAllocate(MEM_4K_BUF),
-	    pumpServerCopy, p);
+	    memAllocate(MEM_4K_BUF), pumpServerCopy, p);
     }
 }
 
@@ -190,7 +192,8 @@
 }
 
 static void
-pumpServerCopyComplete(int fd, char *bufnotused, size_t size, int errflag, void *data)
+pumpServerCopyComplete(int fd, char *bufnotused, size_t size, int errflag,
+    void *data)
 {
     PumpStateData *p = data;
     int sfd;
@@ -212,8 +215,7 @@
     assert(p->sent <= p->req->content_length);
     if (p->sent < p->req->content_length) {
 	storeClientCopy(p->request_entry, p->sent, p->sent, 4096,
-	    memAllocate(MEM_4K_BUF),
-	    pumpServerCopy, p);
+	    memAllocate(MEM_4K_BUF), pumpServerCopy, p);
 	return;
     }
     debug(61, 5) ("pumpServerCopyComplete: Done!\n", size);
@@ -237,15 +239,12 @@
     PumpStateData *p = data;
     StoreEntry *req = p->request_entry;
     LOCAL_ARRAY(char, buf, SQUID_TCP_SO_RCVBUF);
-    int bytes_to_read = XMIN(p->req->content_length - p->rcvd, SQUID_TCP_SO_RCVBUF);
+    int bytes_to_read =
+	XMIN(p->req->content_length - p->rcvd, SQUID_TCP_SO_RCVBUF);
     int len = 0;
     errno = 0;
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    len = recv(fd, buf, bytes_to_read);
-#else
     len = read(fd, buf, bytes_to_read);
-#endif
     fd_bytes(fd, len, FD_READ);
     debug(61, 5) ("pumpReadFromClient: FD %d: len %d.\n", fd, len);
     if (len > 0) {
@@ -257,10 +256,7 @@
 	    debug(61, 5) ("pumpReadFromClient: FD %d: len %d and ignore!\n",
 		fd, len);
 	    commSetSelect(fd,
-		COMM_SELECT_READ,
-		pumpReadFromClient,
-		p,
-		Config.Timeout.read);
+		COMM_SELECT_READ, pumpReadFromClient, p, Config.Timeout.read);
 	} else {
 	    debug(61, 2) ("pumpReadFromClient: aborted.\n");
 	    pumpClose(p);
@@ -278,7 +274,11 @@
     if (len > 0) {
 	int delta = p->rcvd + len - p->req->content_length;
 	if (delta > 0 && p->req->flags.proxy_keepalive) {
-	    debug(61, delta == 2 ? 3 : 1) ("pumpReadFromClient: Warning: read %d bytes past content-length, truncating\n", delta);
+	    debug(61, delta == 2 ? 3 : 1)
+
+		
+		("pumpReadFromClient: Warning: read %d bytes past content-length, truncating\n",
+		delta);
 	    len = p->req->content_length - p->rcvd;
 	}
 	storeAppend(req, buf, len);
@@ -369,7 +369,8 @@
 	p->request_entry = NULL;
     }
     if (rep != NULL) {
-	debug(61, 3) ("pumpFree: did the server-side FD (%d) get closed?\n", p->s_fd);
+	debug(61, 3) ("pumpFree: did the server-side FD (%d) get closed?\n",
+	    p->s_fd);
 	storeUnlockObject(rep);
 	p->reply_entry = NULL;
     }
